#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"

#include "ppport.h"


MODULE = U6C		PACKAGE = U6C		

int
copy_tile_into_buffer8 (buf, pixmap, x, y, w)
		unsigned char * buf
		unsigned char * pixmap
		int x
		int y
		int w
	INIT:
		int i;
	CODE:
		buf += y * w + x;
		w -= 16;
		for (i = 0; i < 16; i++) {
			*((unsigned int *)buf)++ = *((unsigned int *)pixmap)++;
			*((unsigned int *)buf)++ = *((unsigned int *)pixmap)++;
			*((unsigned int *)buf)++ = *((unsigned int *)pixmap)++;
			*((unsigned int *)buf)++ = *((unsigned int *)pixmap)++;
			buf += w;
		}
		RETVAL = 1;
	OUTPUT:
		RETVAL
	
int
copy_transp_tile_into_buffer8 (buf, pixmap, x, y, w, transp)
		unsigned char * buf
		unsigned char * pixmap
		int x
		int y
		int w
		unsigned char transp
	INIT:
		int i, j;
		unsigned char col;
	CODE:
		buf += y * w + x;
		w -= 16;
		for (j = 0; j < 16; j++) {
			for (i = 0; i < 16; i++) {
				col = *pixmap++;
				if (col != transp) {
					*buf = col;
				}
				buf++;
			}
			buf += w;
		}
		RETVAL = 1;
	OUTPUT:
		RETVAL
