#!/usr/bin/perl
# $Id: book.pl,v 1.3 2003/01/25 05:39:13 jim Exp $

# book.pl: display U6 books
# arguments: list of book numbers
# If no arguments, display all books in order.

use strict;

use U6::Book qw(@books);

U6::Book::init();

my @nums = @ARGV > 0 ? @ARGV : (0 .. $#books);

for (@nums) {
	warn("error: book $_ out of range 0 - $#books\n"), next if $_ > $#books;
	print "---- $_: --\n", $books[$_], "\n";
}
